aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src/tests/qemu/Makefile
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2020-05-23 18:59:54 -0600
committerJason A. Donenfeld <Jason@zx2c4.com>2020-05-28 03:04:41 -0600
commitfeb89cab65c6ab1a6cbeeaaeb11b1a174772cea8 (patch)
tree8e1e5c004283d19f5d6c6d9f2c69354e6c242e55 /src/tests/qemu/Makefile
parentcompat: ubuntu appears to have backported ipv6_dst_lookup_flow (diff)
downloadwireguard-linux-compat-feb89cab65c6ab1a6cbeeaaeb11b1a174772cea8.tar.xz
wireguard-linux-compat-feb89cab65c6ab1a6cbeeaaeb11b1a174772cea8.zip
qemu: work around broken centos8 kernel
RHEL needs to apply https://lore.kernel.org/patchwork/patch/974664/ before we can revert this monstrosity. Signed-off-by: Jason A. Donenfeld <Jason@zx2c4.com>
Diffstat (limited to 'src/tests/qemu/Makefile')
-rw-r--r--src/tests/qemu/Makefile1
1 files changed, 1 insertions, 0 deletions
diff --git a/src/tests/qemu/Makefile b/src/tests/qemu/Makefile
index 0708f99..e894be2 100644
--- a/src/tests/qemu/Makefile
+++ b/src/tests/qemu/Makefile
@@ -275,6 +275,7 @@ $(KERNEL_PATH)/.installed: $(KERNEL_TAR)
sed -i "/printf '\\\\#/d" $(KERNEL_PATH)/tools/build/Build.include || true
sed -i '/jmp early_idt_handler$$/a .fill early_idt_handlers + i*9 - ., 1, 0xcc' $(KERNEL_PATH)/arch/x86/kernel/head_{64,32}.S || true
printf 'ifdef CONFIG_X86_64\nLDFLAGS += $$(call ld-option, -z max-page-size=0x200000)\nendif\n' >> $(KERNEL_PATH)/arch/x86/Makefile
+ sed -i 's/pages = generic_max_swapfile_size();/pages = IS_ENABLED(CONFIG_SWAP) ? generic_max_swapfile_size() : 0;/' $(KERNEL_PATH)/arch/x86/mm/init.c || true
if grep -qr UTS_UBUNTU_RELEASE_ABI $(KERNEL_PATH)/debian/rules.d; then echo 'KBUILD_CFLAGS += -DUTS_UBUNTU_RELEASE_ABI=0' >> $(KERNEL_PATH)/Makefile; fi
sed -i "/^if INET\$$/a source \"net/wireguard/Kconfig\"" $(KERNEL_PATH)/net/Kconfig
sed -i "/^obj-\$$(CONFIG_NETFILTER).*+=/a obj-\$$(CONFIG_WIREGUARD) += wireguard/" $(KERNEL_PATH)/net/Makefile